IProcessBox

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IProcessBox

    com.change_vision.jude.api.inf.model.IProcessBox

All Implemented Interfaces:
  IDataFlowNode, IElement, IHyperlinkOwner, INamedElement

public IProcessBox
extends IDataFlowNode

Interface for ProcessBox.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IDataFlowDiagram` | `getDataFlowDiagram()` Get Data Flow Diagram.
`abstract String` | `getOperator()` Get Operator.
`abstract String` | `getProcessBoxID()` Get ProcessBox ID.

Methods inherited from class com.change_vision.jude.api.inf.model.IDataFlowNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getProcessBoxID

    public abstract String getProcessBoxID()

  Get ProcessBox ID.

  Returns:
    ProcessBox ID

### getOperator

    public abstract String getOperator()

  Get Operator.

  Returns:
    Operator

### getDataFlowDiagram

    public abstract IDataFlowDiagram getDataFlowDiagram()

  Get Data Flow Diagram.

  Returns:
    Data Flow Diagram

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD